Enable jQuery Migrate Helper Plugin Passes 10K Active Installs

In just one week since WordPress 5.5 was released, the Enable jQuery Migrate Helper plugin has passed 10,000 active installs, as users look for a fix for broken sites. The plugin was developed by the WordPress Core team to mitigate jQuery-related problems users may face after updating to 5.5. WordPress has removed jQuery Migrate 1.4.1, but many themes and plugins are now broken because they use outdated/deprecated jQuery functions that relied on the script.

The official support forums are inundated with reports of broken sites after updating to 5.5, as most users who don’t follow core development are not aware that jQuery Migrate has been deprecated. Because it’s related to jQuery, many of the sites have very visible problems or broken functionality that prevents users from doing things like viewing and editing content. Those who are still using the Classic Editor have been particularly hardest hit by the 5.5 update, since older plugins that hook into the old editor are more likely to be using deprecated jQuery functions.

The Enable jQuery Migrate Helper plugin has racked up 34 five-star reviews, as it instantly fixes most users’ problems:

“After updating to 5.5 my hero slider images disappeared and this plugin fixed the problem immediately.”

“After updating to WordPress 5.5 my edit a post page and several other things ended up breaking despite having all plugins and my theme updated. This plugin fixed my issue!”

“As a newspaper, not being able to see the content of our posts is a pretty big deal. This fixed it. Thank you.”

The plugin gives users time to figure out which themes or plugins are causing the problems and request the authors of those extensions to update them for compatibility with the latest version of WordPress.

One user, David Halchester, reported a problem with a vanishing navigation menu to the support forums before discovering the Enable jQuery Migrate Helper plugin.

“Voila,” Halchester said in his review. “It worked like magic. My beautiful custom page is working again. That said — if WP does not want to lose customers, it needs to make sure its updates are compatible with older sites.

“Thank you to the people who created this plug-in. I just saved myself about $300 or more in fees to have someone ‘fix’ it.”

He makes a solid point about the plugin saving users’ money that might otherwise have gone to developers to fix the problem. For those who discover the plugin as a fix, it only costs them the time and frustration of seeking help from their hosting company or volunteers on the support forums. Others who may not be as persistent will likely have to pay for professional troubleshooting.

Justin Tadlock published a post last week that outlines WordPress’ three-stage plan for updating jQuery to the latest version. The plan outlines how a new version of jQuery Migrate will be added in WordPress 5.6 to help users update from jQuery 1.12.4 to 3.5.1 (or later). The tentative plan is to remove the script once more in WordPress 5.7, which is expected in 2021.

In the meantime, the Enable jQuery Migrate Helper plugin functions as a temporary bandaid. Looking ahead towards the prospect of opt-in automatic updates for major Core releases, which is expected to land in WordPress 5.6, it will be important to consider how wide-reaching these breaking changes can be along to path to updating jQuery, especially for those hanging back with the Classic Editor plugin.

TI ha interessato ciĆ² che hai letto?

Scrivimi e sarai ricontattato quanto prima.

Make an Appointment

for any inquiry

Contattami